## AtkNoOpObjectFactory AtkNoOpObjectFactory — The AtkObjectFactory which creates an AtkNoOpObject. |

## Synopsis

                        AtkNoOpObjectFactory;
    AtkObjectFactory *  atk_no_op_object_factory_new        (void);

## Object Hierarchy

      GObject
       +----AtkObjectFactory
             +----AtkNoOpObjectFactory

## Description

The AtkObjectFactory which creates an AtkNoOpObject. An instance of this is created by an AtkRegistry if no factory type has not been specified to create an accessible object of a particular type.

## Details

### AtkNoOpObjectFactory

    typedef struct _AtkNoOpObjectFactory AtkNoOpObjectFactory;

The AtkNoOpObjectFactory structure should not be accessed directly.

### atk_no_op_object_factory_new ()

    AtkObjectFactory *  atk_no_op_object_factory_new        (void);

Creates an instance of an AtkObjectFactory which generates primitive (non-functioning) AtkObjects.

Returns : | an instance of an AtkObjectFactory